LOCAL lcPrgPath
lcPrgPath = AddBS(JustPath(SYS(16,0)))

IF !UseIt(m.lcPrgPath+"BAD_DBF\employee.dbf", m.lcPrgPath)
ENDIF

#DEFINE MB_ICONQUESTION         32      && Warning query
#DEFINE MB_YESNO                4       && Yes and No buttons
#DEFINE IDOK            1       && OK button pressed
#DEFINE IDYES           6       && Yes button pressed

*********
*	SIMPLE EXAMPLE of cmrepair.app usage in auto-repair mode
*
FUNCTION UseIt
LPARAMETERS tcPathName, tcPrgPath
LOCAL lcOnError, lnError, lcMessage
lnError = 0
lcOnError = ON('ERROR')
ON ERROR lnError=ERROR()

USE (m.tcPathName) IN 0 SHARED AGAIN

ON ERROR &lcOnError

IF INLIST(m.lnError,15,41,2091)

	LOCAL llAutoRepair, lnRiskRecords
	lnRiskRecords = 5	&& store here number of records you are ready to lose in auto-repair mode
	llAutoRepair = .f.	&& store here .t. if you like NOT to see dialog every time the utility is started

	lcMessage = 'Structure of the table is damaged.' +CHR(13)+ 'Start repairing?'
	IF INLIST(MessageBox(m.lcMessage, MB_ICONQUESTION+MB_YESNO), IDOK,IDYES)

		DO (m.tcPrgPath+'cmrepair.app') WITH m.tcPathName, m.llAutoRepair, m.lnRiskRecords

	ENDIF
ENDIF
RETURN m.lnError=0
